GET /api/external/hub/v1/middle_mile_orders

Query parameters

  • internal_identifier string

    Filter by a specific middle mile order identifier (e.g., MMO240115ABCD)

  • limit integer

    Maximum number of orders to return (default: 25, max: 100)

  • created_at_start_date string

    Filter orders created on or after this date (YYYY-MM-DD)

  • created_at_end_date string

    Filter orders created on or before this date (YYYY-MM-DD)

Responses

  • 200 application/json

    filters by start date only

    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • id integer

        Order ID

      • internal_identifier string

        Internal identifier (e.g., MMO240115ABCD)

      • warehouse_name string

        Warehouse marketing name

      • created_at string(date-time)

        Order creation timestamp

      • authorized_amount number

        Authorized amount

      • authorized_currency string

        Currency code (e.g., USD)

      • estimated_volume number

        Estimated volume in cubic feet

      • number_of_shipments integer

        Number of shipments in the order

      • shipment_ids array[string]

        Array of shipment identifiers

  • 404 application/json

    threepl_customer not found

    Hide response attribute Show response attribute object
    • error string
GET /api/external/hub/v1/middle_mile_orders
curl \
 --request GET 'https://api.useshelf.com/api/external/hub/v1/middle_mile_orders'
Response examples (200)
{
  "data": [
    {
      "id": 42,
      "internal_identifier": "string",
      "warehouse_name": "string",
      "created_at": "2026-05-04T09:42:00Z",
      "authorized_amount": 42.0,
      "authorized_currency": "string",
      "estimated_volume": 42.0,
      "number_of_shipments": 42,
      "shipment_ids": [
        "string"
      ]
    }
  ]
}
Response examples (404)
{
  "error": "string"
}